#ifndef __DEBUG_OUTPUT_H__
#define __DEBUG_OUTPUT_H__

#define dbg_printf	printf
#define dbg_trace	printf
#if 0
#define dbg_printf	dbg_log
#define dbg_trace	dbg_log
#endif

/* by default dbg_trace is nothing -- it is supposed to be called
 * even when OS is not initialized.  A low level debug printf.
 * system dependent.  Calling this can hang the system unless the
 * dbg_trace is implemented to work even before OS is properly 
 * set up cleanly.  
 * #define dbg_trace	
 */

/* use this for simulated environment like VxSim 
 * which provides Unix system printf even before OS is initialized.
 * #define dbg_trace	u_printf 
 */

/*
 * use this for systems that have vga direct print capability 
 * like PC's
 * #define dbg_trace	vga_printf
 */
#endif
